package fr.inria.openmath.omapi.implementation;

import fr.inria.openmath.omapi.*;

/**
 * Defines accessor/mutators for this kind of node.
 */
public class ApplyNodeImpl extends NodeImpl implements ApplyNode {

    public ApplyNodeImpl () {
        this.type = Node.OM_APP;
    }

    /**
     * @see fr.inria.openmath.omapi.ApplyNode#getFunction
     */
    public Node getFunction() {
        return this.getFirstChild();
    }


    /**
     * @see fr.inria.openmath.omapi.ApplyNode#getFirstArg
     */
    public Node getFirstArg() {
        Node n = this.getFirstChild();
        if (n != null) {
            return n.getNextSibling();
        } else {
            return null;
        }
    }

}
