package fr.inria.openmath.omapi.implementation;

import fr.inria.openmath.omapi.*;

/**
 * Defines accessor/mutators for this kind of node.
 */
public class StringNodeImpl extends NodeImpl implements StringNode {

    String value;

    public StringNodeImpl (String value) {
        this.value = value;
        this.type = OM_STRING;
    }

    public String toString() {
        return typeToString(type) + "(" + value + ")";
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

}
