package fr.inria.openmath.omapi.implementation;

import fr.inria.openmath.omapi.*;

/**
 * Defines accessor/mutators for this kind of node.
 */
public class SymbolNodeImpl extends NodeImpl implements SymbolNode {

    Symbol value;

    public SymbolNodeImpl (Symbol value) {
        this.value = value;
        this.type = OM_SYMBOL;
    }

    public String toString() {
        return typeToString(type) + "(" + value + ")";
    }


    public void setValue(Symbol value) {
        this.value = value;
    }


    public Symbol getValue() {
        return value;
    }

}
