package fr.inria.openmath.omapi.implementation;

import fr.inria.openmath.omapi.*;

/**
 * Defines accessor/mutators for this kind of node.
 */
public class VariableNodeImpl extends NodeImpl implements VariableNode {

    String value;

    public VariableNodeImpl (String value) {
        this.value = value;
        this.type = OM_VAR;
    }

    public String toString() {
        return typeToString(type) + "(" + value + ")";
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

}
