package fr.inria.openmath.omapi;

/**
 * Defines constants specifying the OpenMath API version.
 *
 */
public interface Version {

    // Major version number
    static final int major = 1;

    // Minor version number
    static final int minor = 4;

    // Version modifier ("a" ->alpha, "b"->beta, ""->final
    static final String modifier = "a";

    // A string specifying the OpenMath API version.
    static final String string = major + "." + minor + modifier;

}
