
package fr.inria.openmath.omapi.implementation;

import java.math.BigInteger;
import fr.inria.openmath.omapi.*;

/**
 * Defines accessor/mutators for this kind of node.
 */
public class BigIntegerNodeImpl extends NodeImpl implements BigIntegerNode {

    BigInteger value;

    public BigIntegerNodeImpl (BigInteger value) {
        this.value = value;
        this.type = OM_BIGINT;
    }

    public String toString() {
        return typeToString(type) + "(" + value + ")";
    }

    public void setValue(BigInteger value) {
        this.value = value;
    }

    public BigInteger getValue() {
        return value;
    }

}
