package fr.inria.openmath.omapi.implementation;

import fr.inria.openmath.omapi.*;

/**
 * Defines accessor/mutators for this kind of node.
 */
public class ByteArrayNodeImpl extends NodeImpl implements ByteArrayNode {

    byte[] value;

    public ByteArrayNodeImpl (byte[] value) {
        this.value = value;
        this.type = OM_BYTEARRAY;
    }

    public String toString() {
        return typeToString(type) + "(" + value + ")";
    }

    public void setValue(byte[] value) {
        this.value = value;
    }

    public byte[] getValue() {
        return value;
    }

}
