
package fr.inria.openmath.omapi.implementation;

import fr.inria.openmath.omapi.*;

/**
 * Defines accessor/mutators for this kind of node.
 */
public class IntNodeImpl extends NodeImpl implements IntNode {

    int value;

    public IntNodeImpl (int value) {
        this.value = value;
        this.type = OM_INT32;
    }

    public String toString() {
        return typeToString(type) + "(" + value + ")";
    }

    public void setValue(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }

}
